Bulk Details
curl --request POST \
--url https://api.bizzy.ai/v2/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bizzy.ai/v2/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzy.ai/v2/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Response - 200
[
{
"companyIdentifier": {
"countryCode": "BE",
"companyId": "1778186251",
"name": "Bizzy"
},
"data": {
"status": "ACTIVE",
"description": "Bizzy is a B2B intelligence platform that leverages AI to help users discover, qualify, and engage with companies efficiently, providing real-time insights and data integration.",
"logo": "https://storage.googleapis.com/bizzy-company-logos/d079b341-9f0a-4651-ae12-3c083fe86244/7c878f57-b905-4a5f-bf73-3b76724edc95.png",
"establishedSince": "1985-05-24T00:00:00.000Z",
"name": "Bizzy",
"address": {
"country": "BE",
"street": "Dok-Noord",
"number": "5A",
"box": null,
"postalCode": "9000",
"place": "Ghent"
},
"website": [
"https://bizzy.ai"
],
"socials": {
"x": null,
"facebook": null,
"youtube": null,
"instagram": null,
"linkedin": "https://www.linkedin.com/company/71230820/"
},
"contact": {
"email": null,
"phone": null
},
"activities": [
{
"activity": "SOFTWARE_DEVELOPMENT"
},
{
"activity": "DATA_ANALYTICS"
}
],
"revenueEstimations": "Bucket0_1M",
"employeeEstimations": "Bucket20_49"
},
"message": null
},
{
"companyIdentifier": {
"countryCode": "BE",
"companyId": "123",
"name": ""
},
"data": null,
"message": "Company not found"
}
]
Company API
Bulk Details
POST
/
v2
/
companies
Bulk Details
Request
Header
string
default:"EN"
- NL: Dutch - FR: French - EN: English
Body
array
Show company properties
Show company properties
string
required
Obfuscated companyId returned by the search endpoint.
string
required
Any supported country code — see Supported countries.
You can request up to 100 companies at once.
Response
The following data fields can have a set of values:string
status can be either
ACTIVE or INACTIVEstring
revenueEstimations will be one of the following:
| Bucket | Description |
|---|---|
| Bucket0_1M | revenue 0M to 1M (included) |
| Bucket1_2M | revenue 1M to 2M (included) |
| Bucket2_5M | revenue 2M to 5M (included) |
| Bucket5_10M | revenue > 5M (excluded) to 10M (included) |
| Bucket10_50M | revenue > 10M (excluded) to 50M (included) |
| Bucket50_100M | revenue > 50M (excluded) to 100M (included) |
| Bucket100_500M | revenue > 100M (excluded) to 500M (included) |
| BucketAbove500M | revenue > 500M (excluded) |
string
These estimations work in the same bucket system as revenueEstimations
object
Response - 200
[
{
"companyIdentifier": {
"countryCode": "BE",
"companyId": "1778186251",
"name": "Bizzy"
},
"data": {
"status": "ACTIVE",
"description": "Bizzy is a B2B intelligence platform that leverages AI to help users discover, qualify, and engage with companies efficiently, providing real-time insights and data integration.",
"logo": "https://storage.googleapis.com/bizzy-company-logos/d079b341-9f0a-4651-ae12-3c083fe86244/7c878f57-b905-4a5f-bf73-3b76724edc95.png",
"establishedSince": "1985-05-24T00:00:00.000Z",
"name": "Bizzy",
"address": {
"country": "BE",
"street": "Dok-Noord",
"number": "5A",
"box": null,
"postalCode": "9000",
"place": "Ghent"
},
"website": [
"https://bizzy.ai"
],
"socials": {
"x": null,
"facebook": null,
"youtube": null,
"instagram": null,
"linkedin": "https://www.linkedin.com/company/71230820/"
},
"contact": {
"email": null,
"phone": null
},
"activities": [
{
"activity": "SOFTWARE_DEVELOPMENT"
},
{
"activity": "DATA_ANALYTICS"
}
],
"revenueEstimations": "Bucket0_1M",
"employeeEstimations": "Bucket20_49"
},
"message": null
},
{
"companyIdentifier": {
"countryCode": "BE",
"companyId": "123",
"name": ""
},
"data": null,
"message": "Company not found"
}
]
Was this page helpful?
⌘I